apeman
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-labo/apeman
[bd_travis_url]: http://travis-ci.org/apeman-labo/apeman
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apeman.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-labo/apeman
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-labo/apeman.svg?token=
[bd_license_url]: https://github.com/apeman-labo/apeman/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apeman
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apeman.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apeman.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apeman
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apeman.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Meta application framework.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>
Installation
------------

apeman is available as an [npm][npm_url] package.

```bash
$ npm install apeman -g
```

[nodejs_url]: https://nodejs.org/
[npm_url]: https://www.npmjs.com

<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Quick Start.md.hbs" Start -->

<a name="section-doc-guides-02-quick-start-md"></a>
Quick Start
------------

Run `apeman init` command in your project root.

```bash
# Initialize a current directory as an apemanfile.
$ apeman init
```

This generates a file named **Apemanfile.js** , which contains configurations for an apeman project.

Then you can use various apeman commands at the directory.



<!-- Section from "doc/guides/02.Quick Start.md.hbs" End -->

<!-- Section from "doc/guides/03.Command.md.hbs" Start -->

<a name="section-doc-guides-03-command-md"></a>
Available Commands
-----

<a name="command-app" />

### `apeman app` Command

Run an apeman app.
This is a synonym of [apeman-app](https://www.npmjs.com/package/apeman-app).

```bash
# Start an app.
$ apeman-app my-awesome-app -p 3000               

# List available apps.
$ apeman-app                                      

```

For mor information, see [README of apeman-app](https://www.npmjs.com/package/apeman-app#readme)

<a name="command-bud" />

### `apeman bud` Command

Render bud files in the project.
This is a synonym of [apeman-bud](https://www.npmjs.com/package/apeman-bud).

```bash
# Render bud files in the current project.
$ apeman-bud                

# Render specific bud files.
$ apeman-tmpl "ci/.*.bud"    

```

For mor information, see [README of apeman-bud](https://www.npmjs.com/package/apeman-bud#readme)

<a name="command-crt" />

### `apeman crt` Command


This is a synonym of [apeman-crt](https://www.npmjs.com/package/apeman-crt).

```bash
# Generate self signed certification files.
$ apeman-crt myapp.example.com -s -o infr/nginx/certs

```

For mor information, see [README of apeman-crt](https://www.npmjs.com/package/apeman-crt#readme)

<a name="command-d" />

### `apeman d` Command


This is a synonym of [apeman-d](https://www.npmjs.com/package/apeman-d).

```bash
# Start an app.
$ apeman-d start ./bin/app/ui-app.js               

# Start an app.
$ apeman-d stop ./bin/app/ui-app.js               

```

For mor information, see [README of apeman-d](https://www.npmjs.com/package/apeman-d#readme)

<a name="command-doc" />

### `apeman doc` Command

Generate project documentation.
This is a synonym of [apeman-doc](https://www.npmjs.com/package/apeman-doc).

```bash
# Generate apemanfile doc.
$ apeman-doc -o doc/apdoc.md               

```

For mor information, see [README of apeman-doc](https://www.npmjs.com/package/apeman-doc#readme)

<a name="command-dply" />

### `apeman dply` Command

Deploy project on docker.
This is a synonym of [apeman-dply](https://www.npmjs.com/package/apeman-dply).

```bash
# Execute deploying defined in $dplys prop.
$ apeman-dply                

# List available deploy.
$ apeman-dply -l

# Open terminal for a deploy.
$ apeman-dply -t node

# Execute deploy which match pattern.
$ apeman-dply "node*"

# Remove all deploy defined in $infra prop.
$ apeman-dply -d

```

For mor information, see [README of apeman-dply](https://www.npmjs.com/package/apeman-dply#readme)

<a name="command-infr" />

### `apeman infr` Command

Setup infra.
This is a synonym of [apeman-infr](https://www.npmjs.com/package/apeman-infr).

```bash
# Build all infra defined in $infrs prop.
$ apeman-infr

# List available infra.
$ apeman-infr -l

# Build infra which match pattern.
$ apeman-infr "node*"

# Remove all infra defined in $infrs prop.
$ apeman-infr -d

```

For mor information, see [README of apeman-infr](https://www.npmjs.com/package/apeman-infr#readme)

<a name="command-init" />

### `apeman init` Command

Initialize a directory as an apeman project.
This is a synonym of [apeman-init](https://www.npmjs.com/package/apeman-init).

For mor information, see [README of apeman-init](https://www.npmjs.com/package/apeman-init#readme)

<a name="command-keep" />

### `apeman keep` Command

Keep process running.
This is a synonym of [apeman-keep](https://www.npmjs.com/package/apeman-keep).

```bash
# Keep process running.
$ apeman-keep                

```

For mor information, see [README of apeman-keep](https://www.npmjs.com/package/apeman-keep#readme)

<a name="command-need" />

### `apeman need` Command

Check project needs.
This is a synonym of [apeman-need](https://www.npmjs.com/package/apeman-need).

```bash
# Check projects needs.
$ apeman-need                

```

For mor information, see [README of apeman-need](https://www.npmjs.com/package/apeman-need#readme)

<a name="command-prxy" />

### `apeman prxy` Command

Reverse proxy manager
This is a synonym of [apeman-prxy](https://www.npmjs.com/package/apeman-prxy).

```bash
# Start proxy
$ apeman-prxy                

# Stop proxy
$ apeman-prxy -d             

```

For mor information, see [README of apeman-prxy](https://www.npmjs.com/package/apeman-prxy#readme)

<a name="command-scff" />

### `apeman scff` Command

Generate project scaffold.
This is a synonym of [apeman-scff](https://www.npmjs.com/package/apeman-scff).

For mor information, see [README of apeman-scff](https://www.npmjs.com/package/apeman-scff#readme)

<a name="command-scrt" />

### `apeman scrt` Command

Encrypt/decrypt secret file.
This is a synonym of [apeman-scrt](https://www.npmjs.com/package/apeman-scrt).

```bash
# Update secret file.
$ apeman-scrt                

```

For mor information, see [README of apeman-scrt](https://www.npmjs.com/package/apeman-scrt#readme)

<a name="command-show" />

### `apeman show` Command

Show apemanfile configuration.
This is a synonym of [apeman-show](https://www.npmjs.com/package/apeman-show).

For mor information, see [README of apeman-show](https://www.npmjs.com/package/apeman-show#readme)

<a name="command-srch" />

### `apeman srch` Command

Search apeman modules.
This is a synonym of [apeman-srch](https://www.npmjs.com/package/apeman-srch).

```bash
# List all available packages.
$ apeman-srch                

# List all available task packages.
$ apeman-srch -t task         

# List all available task which match term "foo".
$ apeman-srch -t task "foo" 

```

For mor information, see [README of apeman-srch](https://www.npmjs.com/package/apeman-srch#readme)

<a name="command-task" />

### `apeman task` Command

Run tasks.
This is a synonym of [apeman-task](https://www.npmjs.com/package/apeman-task).

```bash
# Show all available tasks.
$ apeman-task                

# Run tasks.
$ apeman-task build test     

```

For mor information, see [README of apeman-task](https://www.npmjs.com/package/apeman-task#readme)

<a name="command-tmpl" />

### `apeman tmpl` Command

Render template files.
This is a synonym of [apeman-tmpl](https://www.npmjs.com/package/apeman-tmpl).

```bash
# Render all templates.
$ apeman-tmpl                

# Re-render all templates.
$ apeman-tmpl -f             

# Render specific templates.
$ apeman-tmpl "**/*.txt"    

# Show available templates.
$ apeman-tmpl -l             

```

For mor information, see [README of apeman-tmpl](https://www.npmjs.com/package/apeman-tmpl#readme)

<a name="command-tree" />

### `apeman tree` Command

Show project inheritance in the tree.
This is a synonym of [apeman-tree](https://www.npmjs.com/package/apeman-tree).

```bash
# Show inheritance tree of current project.
$ apeman-tree                

```

For mor information, see [README of apeman-tree](https://www.npmjs.com/package/apeman-tree#readme)

<a name="command-upg" />

### `apeman upg` Command

Update apeman global module.
This is a synonym of [apeman-upg](https://www.npmjs.com/package/apeman-upg).

```bash
# Update apeman global module.
$ apeman-upg                

```

For mor information, see [README of apeman-upg](https://www.npmjs.com/package/apeman-upg#readme)

<a name="command-wtch" />

### `apeman wtch` Command

Watch files to trigger action.
This is a synonym of [apeman-wtch](https://www.npmjs.com/package/apeman-wtch).

```bash
# Start all watches
$ apeman-watch                

# List available watches
$ apeman-watch -l             

# Start watching.
$ apeman-watch "scc*"    

```

For mor information, see [README of apeman-wtch](https://www.npmjs.com/package/apeman-wtch#readme)



<!-- Section from "doc/guides/03.Command.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apeman/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman-init](https://www.npmjs.com/package/apeman-init)
+ [apeman-app](https://www.npmjs.com/package/apeman-app)
+ [apeman-bud](https://www.npmjs.com/package/apeman-bud)
+ [apeman-scff](https://www.npmjs.com/package/apeman-scff)
+ [apeman-show](https://www.npmjs.com/package/apeman-show)
+ [apeman-tmpl](https://www.npmjs.com/package/apeman-tmpl)
+ [apeman-wtch](https://www.npmjs.com/package/apeman-wtch)
+ [apeman-asset-guides](https://github.com/apeman-asset-labo/apeman-asset-guides)

<!-- Links End -->
